# Avorion Script API Documentation

Home Functions Search
Search:

UIVerticalLister UIVerticalLister
Properties
inner
margin
marginBottom
marginLeft
marginRight
marginTop
padding
paddingBottom
paddingLeft
paddingRight
paddingTop
rect
Member Functions
getBottomLeftRect
getBottomRect
getBottomRightRect
getCenterRect
getLeftRect
getRightRect
getTopLeftRect
getTopRect
getTopRightRect
hasEnoughSpace
nextQuadraticRect
nextRect
placeCenter
placeElementBottom
placeElementBottomLeft
placeElementBottomRight
placeElementCenter
placeElementLeft
placeElementRight
placeElementTop
placeElementTopLeft
placeElementTopRight
placeLeft
placeRight
setMargin
setPadding

# UIVerticalLister

This class gets a rect and aligns given elements in a list style inside the rect. Considers properties like margin and padding between the elements.
This object is only available on the client.

function UIVerticalLister(Rect rect, int padding, int margin)

Parameters

rect The rect in which the lister aligns its elenents
padding
margin

Returns

A new instance of UIVerticalLister

property Rect inner | [read-only]

property int margin | [write-only]

property int marginBottom |

property int marginLeft |

property int marginRight |

property int marginTop |

property int padding | [write-only]

property int paddingBottom |

property int paddingLeft |

property int paddingRight |

property int paddingTop |

property Rect rect |

function Rect getBottomLeftRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getBottomRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getBottomRightRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getCenterRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getLeftRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getRightRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getTopLeftRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getTopRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function Rect getTopRightRect(Rect rect)

Aligns the given rect to a specific side

Parameters

rect The given rect

Returns

A copy of the given rect, aligned to the specific side

function var hasEnoughSpace(float vec)

Checks if there is enough space to fit a rect with the given height into the lister's remaining rect

Parameters

vec The size of the rect to test for

Returns

true if there's enough space, false if not

function Rect nextQuadraticRect()

function Rect nextRect(float height)

Returns the next rect of a certain height that would be created. The rect will have the full width of the rect given to the lister.

Parameters

height The height of the rect

Returns

The Rect

function UIElement placeCenter(vec2 vec)

Uses the given vector to create a Rect of size Rect(0, 0, vec.x, vec.y), places it in the list and centers it

Parameters

vec The given size of the rect to align

Returns

The aligned rect

function UIElement placeElementBottom(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementBottomLeft(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementBottomRight(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementCenter(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementLeft(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementRight(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementTop(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementTopLeft(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeElementTopRight(UIElement element)

Aligns the given UI element to a specific side

Parameters

element The given UI element

Returns

A reference to the given UI element

function UIElement placeLeft(vec2 vec)

Uses the given vector to create a Rect of size Rect(0, 0, vec.x, vec.y), places it in the list and aligns it to the left

Parameters

vec The given size of the rect to align

Returns

The aligned rect

function UIElement placeRight(vec2 vec)

Uses the given vector to create a Rect of size Rect(0, 0, vec.x, vec.y), places it in the list and aligns it to the right

Parameters

vec The given size of the rect to align

Returns

The aligned rect

function var setMargin(int left, int right, int top, int bottom)

Parameters

left margin on the left side
right margin on the right side
top margin on the top side
bottom margin on the bottom side

Returns

nothing

function var setPadding(int left, int right, int top, int bottom)

Parameters

left padding on the left side
right padding on the right side
top padding on the top side
bottom padding on the bottom side

Returns

nothing

Overview
Home Functions Search
Search:
Callbacks
Callbacks Alliance [Client] Callbacks Alliance [Server] Callbacks Alliance [Server] Callbacks Entity Callbacks Galaxy Callbacks Player Callbacks Player [Client] Callbacks Sector Callbacks Server Callbacks
Predefined Functions & Example Scripts
Command Entity FactionDatabase PlanGenerator Player Sector Server UsableInventoryItem
Common Components
Boarding BspTree CargoBay CargoLoot ControlUnit CrewComponent DeletionTimer DirectFlightPhysics DockingClamps DockingParent DockingPositions Durability EnergySystem Engine FighterAI Hangar HyperspaceEngine InteractionText InventoryItemLoot Owner Physics Plan ReadOnlyBoarding ReadOnlyBspTree ReadOnlyCargoBay ReadOnlyControlUnit ReadOnlyCrew ReadOnlyDeletionTimer ReadOnlyEnergySystem ReadOnlyEngine ReadOnlyFighterAI ReadOnlyHangar ReadOnlyHyperspaceEngine ReadOnlyInteractionText ReadOnlyOwner ReadOnlyPhysics ReadOnlyPlan ReadOnlyShipAI ReadOnlyShipSystem ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoLauncher ReadOnlyTurretBases ReadOnlyVelocity ReadOnlyWeapons ReadOnlyWormHole Shield ShipAI ShipSystem StructuralIntegrity SystemUpgradeLoot Thrusters Torpedo TorpedoAI TorpedoLauncher Turret TurretAI TurretBases Velocity Weapons WormHole
Common Objects
AllianceMember AllianceRank BlockPlan BlockPlanBlock BlockStatistics Box Captain Color ControlUnitSeat CraftDesign CraftStatsOverview Crew CrewMan CrewProfession DebugInfo dvec2 dvec3 dvec4 Entity EntityDescriptor FighterTemplate Format GameSettings Group HighResolutionTimer Inventory InventoryTurret ivec2 ivec3 ivec4 Language Mail Material Matrix ModManager NamedFormat PlanBspTree PlanetSpecifics PlanGenerationStage PlanPart PlanStyle PlayerId PluralForm Profiler QuadTree Random Rarity Ray ReadOnlyEntity Rect Relation Scenario SectorView Seed Sphere Squad SystemUpgradeTemplate Timer Tooltip TooltipLine TorpedoShaft TorpedoTemplate TradingGood TurretDesign TurretDesignPart TurretTemplate UsableInventoryItem Uuid VanillaInventoryItem vec2 vec3 vec4 Version Weapon
Client Components
EntityIcon EntityTooltip PlanMesh ReadOnlyIcon ReadOnlyPlanMesh ReadOnlyScriptUI ReadOnlyTooltip ScriptUI
Client Objects
Achievements Alliance [Client] CameraKeyFrame CaptainSelectionItem Client ClientSettings ColorSelectionItem CraftDesignSelectionItem Faction [Client] Galaxy [Client] GalaxyMap GameInput GlowFX IconSelectionItem InputWindow InventoryReferenceSelectionItem InventorySelectionItem Keyboard LaserFX Mouse Music PixelIconSelectionItem Planet Player [Client] PlayerWindow RefractionFX Sector [Client] SelectionItem ShipDatabaseEntry [Client] SoundSource StrategyState TargetIndicator TooltipRenderer TurretDesignSelectionItem
Client UI Objects
AllianceEmblem AllianceTab ArrowLine Button [Client] [Client] Button [Client] [Client] CaptainIcon CaptainProfile CheckBox ComboBox ContextMenu CraftPortrait CrewBar Frame Hud InventorySelection Label Line ListBox ListBoxEx MapArrowLine MapIcon MultiLineTextBox NumbersBar Picture PlanDisplayer ProgressBar SavedDesignsSelection ScrollFrame Selection ShipWindow Slider StatisticsBar Tab TabbedWindow TextBox TextField TooltipDisplayer Tree UIArbitraryHorizontalSplitter UIArbitraryVerticalSplitter UIContainer UIElement UIGridSplitter UIHorizontalLister UIHorizontalMultiSplitter UIHorizontalSplitter UIOrganizer UIRect UIRenderer UIVerticalLister UIVerticalMultiSplitter UIVerticalSplitter ValueComboBox Window
Server Components
EntityTransferrer FighterController Loot ReadOnlyEntityTransferrer ReadOnlyFighterController ReadOnlyLoot ReadOnlyTurretController ReadOnlyWreckageCreator TurretController WreckageCreator
Server Objects
Alliance [Server] Faction [Server] Galaxy [Server] Player [Server] ReadOnlySector Sector [Server] Server ShipDatabaseEntry [Server]
Enums
AIState AlliancePrivilege BeamShape BlockShading BlockStructure BlockType BlockType2 BoxType BuildError CaptainGenderId ChatChannel ChatMessageType ComponentType ControlAction ControlActionBit ControlStyle CoolingType CraftStatsOverviewStat CrewProfessionType CrewRank DamageSource DamageType DeletionType Difficulty EntityArrivalType EntityType FighterOrders FighterStartError FighterType FontType ImpactParticles InventoryItemType JumpError KeyboardKey ListBoxEntryType MalusReason MaterialType MoonType MouseButton PlanetType PlanTypeFilter PlayerStateType ProjectileShape RarityType RelationStatus SavedDesignType ScenarioType SectorChangeType ShipAvailability SoundType StatsBonuses TargetIndicatorVisuals TransformationFeature TurretAutoFireMode TurretSlotType WeaponAppearance WeaponCategory

This is the official documentation for the scripting API of Avorion. This documentation is automatically generated and not necessarily complete. Depending on the context in which functions exist, some documentation such as descriptions, return values or variable names or types may be missing.

Work in Progress. Documentation of Avorion Version: 2.5.8 a0d3f0b5b065